<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpRuler: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpPreview.html" title="GimpPreview">
<link rel="next" href="GimpScrolledPreview.html" title="GimpScrolledPreview">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpRuler.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpRuler.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpRuler.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpRuler.properties" class="shortcut">Properties</a></span><span id="nav_style_properties">  <span class="dim">|</span> 
                  <a href="#GimpRuler.style-properties" class="shortcut">Style Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpPreview.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpScrolledPreview.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpRuler"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpRuler.top_of_page"></a>GimpRuler</span></h2>
<p>GimpRuler — A ruler widget with configurable unit and orientation.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpRuler.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-new" title="gimp_ruler_new ()">gimp_ruler_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-set-unit" title="gimp_ruler_set_unit ()">gimp_ruler_set_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-get-unit" title="gimp_ruler_get_unit ()">gimp_ruler_get_unit</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-set-position" title="gimp_ruler_set_position ()">gimp_ruler_set_position</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-get-position" title="gimp_ruler_get_position ()">gimp_ruler_get_position</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-set-range" title="gimp_ruler_set_range ()">gimp_ruler_set_range</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-get-range" title="gimp_ruler_get_range ()">gimp_ruler_get_range</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-add-track-widget" title="gimp_ruler_add_track_widget ()">gimp_ruler_add_track_widget</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpRuler.html#gimp-ruler-remove-track-widget" title="gimp_ruler_remove_track_widget ()">gimp_ruler_remove_track_widget</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpRuler.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--lower" title="The “lower” property">lower</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--max-size" title="The “max-size” property">max-size</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../gtk2/gtk2-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--orientation" title="The “orientation” property">orientation</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--position" title="The “position” property">position</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--unit" title="The “unit” property">unit</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--upper" title="The “upper” property">upper</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpRuler.style-properties"></a><h2>Style Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="style_properties_type">
<col width="300px" class="style_properties_name">
<col width="200px" class="style_properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></td>
<td class="property_name"><a class="link" href="GimpRuler.html#GimpRuler--s-font-scale" title="The “font-scale” style property">font-scale</a></td>
<td class="property_flags">Read</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpRuler.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpRuler.html#GimpRuler-struct" title="GimpRuler">GimpRuler</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpRuler.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> GimpRuler
</pre>
</div>
<div class="refsect1">
<a name="GimpRuler.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpRuler implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpRuler.description"></a><h2>Description</h2>
<p>A ruler widget with configurable unit and orientation.</p>
</div>
<div class="refsect1">
<a name="GimpRuler.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-ruler-new"></a><h3>gimp_ruler_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_ruler_new (<em class="parameter"><code><a href="../gtk2/gtk2-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a> orientation</code></em>);</pre>
<p>Creates a new ruler.</p>
<div class="refsect3">
<a name="gimp-ruler-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>orientation</p></td>
<td class="parameter_description"><p>the ruler's orientation.</p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-ruler-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-set-unit"></a><h3>gimp_ruler_set_unit ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_set_unit (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                     <em class="parameter"><code><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> unit</code></em>);</pre>
<p>This sets the unit of the ruler.</p>
<div class="refsect3">
<a name="gimp-ruler-set-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>unit</p></td>
<td class="parameter_description"><p>the <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a> to set the ruler to</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-get-unit"></a><h3>gimp_ruler_get_unit ()</h3>
<pre class="programlisting"><a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="returnvalue">GimpUnit</span></a>
gimp_ruler_get_unit (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>);</pre>
<div class="refsect3">
<a name="gimp-ruler-get-unit.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-ruler-get-unit.returns"></a><h4>Returns</h4>
<p> the unit currently used in the <em class="parameter"><code>ruler</code></em>
widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-set-position"></a><h3>gimp_ruler_set_position ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_set_position (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                         <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> position</code></em>);</pre>
<p>This sets the position of the ruler.</p>
<div class="refsect3">
<a name="gimp-ruler-set-position.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>position</p></td>
<td class="parameter_description"><p>the position to set the ruler to</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-get-position"></a><h3>gimp_ruler_get_position ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gdouble"><span class="returnvalue">gdouble</span></a>
gimp_ruler_get_position (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>);</pre>
<div class="refsect3">
<a name="gimp-ruler-get-position.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-ruler-get-position.returns"></a><h4>Returns</h4>
<p> the current position of the <em class="parameter"><code>ruler</code></em>
widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-set-range"></a><h3>gimp_ruler_set_range ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_set_range (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> lower</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> upper</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> max_size</code></em>);</pre>
<p>This sets the range of the ruler.</p>
<div class="refsect3">
<a name="gimp-ruler-set-range.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>the lower limit of the ruler</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>the upper limit of the ruler</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>max_size</p></td>
<td class="parameter_description"><p>the maximum size of the ruler used when calculating the space to
leave for the text</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-get-range"></a><h3>gimp_ruler_get_range ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_get_range (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> *lower</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> *upper</code></em>,
                      <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a> *max_size</code></em>);</pre>
<p>Retrieves values indicating the range and current position of a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a>.
See <a class="link" href="GimpRuler.html#gimp-ruler-set-range" title="gimp_ruler_set_range ()"><code class="function">gimp_ruler_set_range()</code></a>.</p>
<div class="refsect3">
<a name="gimp-ruler-get-range.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>lower</p></td>
<td class="parameter_description"><p>location to store lower limit of the ruler, or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>upper</p></td>
<td class="parameter_description"><p>location to store upper limit of the ruler, or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>max_size</p></td>
<td class="parameter_description"><p>location to store the maximum size of the ruler used when
calculating the space to leave for the text, or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a>.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-add-track-widget"></a><h3>gimp_ruler_add_track_widget ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_add_track_widget (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                             <em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *widget</code></em>);</pre>
<p>Adds a "track widget" to the ruler. The ruler will connect to
GtkWidget:motion-notify-event: on the track widget and update its
position marker accordingly. The marker is correctly updated also
for the track widget's children, regardless of whether they are
ordinary children of off-screen children.</p>
<div class="refsect3">
<a name="gimp-ruler-add-track-widget.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>the track widget to add</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-ruler-remove-track-widget"></a><h3>gimp_ruler_remove_track_widget ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_ruler_remove_track_widget (<em class="parameter"><code><a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a> *ruler</code></em>,
                                <em class="parameter"><code><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="type">GtkWidget</span></a> *widget</code></em>);</pre>
<p>Removes a previously added track widget from the ruler. See
<a class="link" href="GimpRuler.html#gimp-ruler-add-track-widget" title="gimp_ruler_add_track_widget ()"><code class="function">gimp_ruler_add_track_widget()</code></a>.</p>
<div class="refsect3">
<a name="gimp-ruler-remove-track-widget.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>ruler</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpRuler.html" title="GimpRuler"><span class="type">GimpRuler</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>widget</p></td>
<td class="parameter_description"><p>the track widget to remove</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpRuler.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpRuler-struct"></a><h3>GimpRuler</h3>
<pre class="programlisting">typedef struct _GimpRuler GimpRuler;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpRuler.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpRuler--lower"></a><h3>The <code class="literal">“lower”</code> property</h3>
<pre class="programlisting">  “lower”                    <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>Lower limit of ruler.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpRuler--max-size"></a><h3>The <code class="literal">“max-size”</code> property</h3>
<pre class="programlisting">  “max-size”                 <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>Maximum size of the ruler.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpRuler--orientation"></a><h3>The <code class="literal">“orientation”</code> property</h3>
<pre class="programlisting">  “orientation”              <a href="../gtk2/gtk2-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a></pre>
<p>The orientation of the ruler.</p>
<p>Flags: Read / Write</p>
<p>Default value: GTK_ORIENTATION_HORIZONTAL</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpRuler--position"></a><h3>The <code class="literal">“position”</code> property</h3>
<pre class="programlisting">  “position”                 <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>Position of mark on the ruler.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpRuler--unit"></a><h3>The <code class="literal">“unit”</code> property</h3>
<pre class="programlisting">  “unit”                     <a href="../html/libgimpbase-gimpunit.html#GimpUnit"><span class="type">GimpUnit</span></a></pre>
<p>Unit of ruler.</p>
<p>Flags: Read / Write</p>
<p>Allowed values: [0,65535]</p>
<p>Default value: 0</p>
</div>
<hr>
<div class="refsect2">
<a name="GimpRuler--upper"></a><h3>The <code class="literal">“upper”</code> property</h3>
<pre class="programlisting">  “upper”                    <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>Upper limit of ruler.</p>
<p>Flags: Read / Write</p>
<p>Default value: 0</p>
</div>
</div>
<div class="refsect1">
<a name="GimpRuler.style-property-details"></a><h2>Style Property Details</h2>
<div class="refsect2">
<a name="GimpRuler--s-font-scale"></a><h3>The <code class="literal">“font-scale”</code> style property</h3>
<pre class="programlisting">  “font-scale”               <a href="../glib/glib-Basic-Types.html#gdouble"><span class="type">gdouble</span></a></pre>
<p>The size of the used font.</p>
<p>Flags: Read</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0.833333</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>